<?
//===============================================================================
// TWB ECommerce Website System - V5.2 (c) web-bureau.com 2004
//-------------------------------------------------------------------------------
// twb-consts.php
// Constants for the TWB-Affiliates System: Things you have to personalise.
// (Not all these settings are used by the free script.)
//===============================================================================


//========================================================================================
//                                   Installation URL
//----------------------------------------------------------------------------------------
// This is the URL where you install these scripts. It's used when generating HTML 
// links to pages with parameters which require the 'http://...'
//========================================================================================
$web_url= 'http://ews.web-bureau.com';

//========================================================================================
//                                 Database Login Details
//----------------------------------------------------------------------------------------
// You must provide a database login for these scripts to use here.
// You can create a new database for the TWB System if you want, or you can load the 
// tables into an existing database - it's unlikely the names will clash.
//========================================================================================
$db_host   ='localhost';
$db_user   ='';
$db_passwd ='';
$db_name   ='';



//=========================================================================================
//                                   ECommerce Settings
//=========================================================================================
$paypal_email = 'tim@top-cat.com';              // Your PayPal Email address - for receiving payments
$use_ppcart     =TRUE;                          // Use PayPal's Shopping Cart?
$use_webaccept  =TRUE;                          // Use PayPal's Web-Accept?

$return_pg      ='http://ews.web-bureau.com';   // Post-Payment return URL
$cancel_pg      ='http://ews.web-bureau.com';   // Post-Cancel return URL
$pp_currency    ='USD';                         // Currency Code (i.e. USD/GBP/EUR)


$pp_btn_text='Buy Now';                     // Web-Accept Button Text
$pp_cart_text='Add To Cart';                // Cart Text
$pp_viewcart_text='View Cart';              // View Cart Text
$pp_subscribe_text='Subscribe';             // Subscribe Text
$pp_btn_image='';                           // Web-Accept Button Image
$pp_cart_image='';                          // Cart Image
$pp_viewcart_image='';                      // View Cart Image
$pp_subscribe_image='';                     // Subscribe Image
$pp_web_image='';                           // Image to appear at top of PayPal pages (150x50 pixels)

$billing_start_date='2004-03-01';           // When did you start the affiliate program running (if any)?
$billing_period='1 MONTH';                  // Billing Period. Can be NN DAY/MONTH/YEAR

$currency='$';                              // Your Currency Symbol.
$no_data ='-';                              // What to show when no data in affiliate-stats page
$ipn_notify_url = "{$web_url}/ipn.php";     // PayPal IPN Notification URL - location of ipn.php!         



//=========================================================================================
//                                   Membership Settings
//-----------------------------------------------------------------------------------------
// You can have FREE signups - users are given access level of 1. (TRUE/FALSE)
// The email text for free signups can be changed in the script itself (login.php)
//=========================================================================================
$freemembership=TRUE;                       // Can users sign up for free?

//-----------------------------------------------------------------------------------------
// You can (also) have Commercial memberships...  Users are given access level 1 or value 
// specified in the product name (using the strings below to identify it.)
// You can specify the text that will appear above the buy buttons here.
//-----------------------------------------------------------------------------------------
$pay4membership=TRUE;                       // Are there any membership products available?
$signup_text = '<p>Welcome.<br>Membership comes in three flavours: You can have cherry at $10...</p>';

//------------------------------------------------------------------------------------------------------------------
// If membership is commercial, you can have any number of different ways of selling it - i.e. weekly, monthly etc. 
// Also you can restrict access to pages depending an the access level of the user.
// All products with the string defined in '$membership_products' in their name will be listed in the login page. 
// If the '$membership_level' text is in the product name, the next 2 characters become the user's access level.
// i.e 'MembershipLevel3';
//------------------------------------------------------------------------------------------------------------------
$membership_products = 'Membership'; 
$membership_level    = 'Level';

//-----------------------------------------------------------------------------
// Users with this level of access and above get access to the TWB admin pages
//-----------------------------------------------------------------------------
$admin_level=9;



//=========================================================================================
//                                        Timeouts
//=========================================================================================
$sess_timeout   =120000;        // How long a Session is valid for, in seconds
$cookie_timeout =315360000;     // and how long cookies are set for, in seconds



//========================================================================================
//                                Your emailing preferences
//========================================================================================
//----------------------------------------------------------------------
// General settings: Return email address, website name and email header
//----------------------------------------------------------------------
// Note: In PHP, variables in strings can optionally be put in
// curly brackets {} to separate them more clearly
//----------------------------------------------------------------------
$website       ="Webmaster`s Bureau";                          // Website NAME
$web_addr      ='http://ews.web-bureau.com';                   // Default website URL for affiliates to link to
$web_text      ="The FREE Webmaster's Course For Beginners";   // Your Website Description.
$web_email     ='info@web-bureau.com';                         // New registrations are mailed as...
$from_signature="\nBest Regards\nThe {$website} Team\n{$web_addr}\n{$web_text}\n";

$email_header ="From: {$website} <{$web_email}>\r\n";

//-----------------------
// User email validation
//----------------------------------------------------------------------
// This is the email text that's sent out to validate new user's email
// The following macros are replaced by real data:
// - USER-NAME     => The user's name
// - USER-EMAIL    => The user's email address
// - USER-PASSWORD => The user's password
// - USER-VERIFY   => An HTML Link to the verification script
//----------------------------------------------------------------------
$usv_subject="{$website} Email Validation";
$usv_text="Hi USER-NAME,\n Thanks for joining!\n\nTo VERIFY THIS ACCOUNT, please click the link below, or cut and paste it into the address bar of your browser.\n\nUSER-VERIFY\n\nYour Login-ID is this email address (USER-EMAIL). \nYour Password is: USER-PASSWORD\n\nBest of Luck!\n{$from_signature}";

//-------------------
// Affiliate signups
//----------------------------------------------------------------------
// This is the email text that's sent out to new affiliate signups.
// The following macros are replaced by real data:
// - AFF-NAME     => The affiliate's name
// - AFF-EMAIL    => The affiliate's email address
// - AFF-PASSWORD => The affiliate's password
//----------------------------------------------------------------------
$afs_subject="Thanks For Joining Our Affiliate Program";
$afs_text="Thanks for joining our affiliate program.\n\nYour login ID is this email address (AFF-EMAIL). \nYour Password is: AFF-PASSWORD\n\nBest of Luck!\n{$from_signature}";

//--------------
// Orders
//----------------------------------------------------------------------
// This is the email text that's sent out on order receipt (via IPN).
// Outgoing email subject, first line, and signature. Used by ipn.php
// FIRST_NAME is a macro which is replaced by the customer's first name
//----------------------------------------------------------------------
$ipn_subject="Order Received";
$ipn_message="Dear FIRST_NAME,\nThank you for your order.\n\n";



//========================================================================================
//          Referrer ID is passed thru the PayPal system using this variable:
//----------------------------------------------------------------------------------------
// If you need to use the option-selection values, you could use the 'custom' or 'invoice' 
// fields in your buy buttons to contain the referrer_id instead.
//========================================================================================
$affiliate_variable='custom';
?>